CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM

How to install ParaView-3.6.1 in OpenFOAM-1.5-dev and OpenSuse 11.2

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   April 7, 2010, 11:06
Default How to install ParaView-3.6.1 in OpenFOAM-1.5-dev and OpenSuse 11.2
  #1
Member
 
Pablo Caron
Join Date: Nov 2009
Location: Buenos Aires, Argentina
Posts: 73
Rep Power: 6
pcaron is on a distinguished road
Dear Forum,

I've used OF for a while. So, I installed several versions in different machines and configurations.

This week I realized that the topo mesh changes works only in version 1.5-dev. (Thanks to Prof. H. Jasak in post 1.6.x topoChangerFvMesh - status)

When I started the installation I had some issues...The most important is that the ThirdParty directory differs from version 1.6.x (yes, this is obvious, but I want to use paraview-3.6.1) So, these are the steps I followed to have a working paraview (I assume you downloaded the OF-1.5-dev and installed):
  1. Install cmake. In opensuse 11.2 the version is 2.6.4
  2. Download the ThirdParty directory for version 1.5 as usual
  3. Download the ThirdParty directory for version 1.6 as usual
  4. We will use the ThirdParty from 1.5 with some extras from 1.6. So copy de following directories and scripts to the 1.5 directory
    1. make*
    2. paraview-3.6.1
    3. tools
    4. qt-x11-opensource-src-4.3.5 (this one downloaded as indicated in OF 1.6 instructions).
  5. Modify cmake-2.4.6 to OLDcmake-2.4.6 (this way we will use system cmake)
  6. Modify the following settings
    1. In $HOME/OpenFOAM/OpenFOAM-1.5-dev/etc/apps/paraview3
      • export ParaView_VERSION="3.6.1"
      • export ParaView_INST_DIR=$WM_THIRD_PARTY_DIR/paraview-$ParaView_VERSION
    2. In $HOME/OpenFOAM/OpenFOAM-1.5-dev/etc/settings.sh
      • compilerInstall=System
  7. Compile Qt with ./makeQt
  8. Compile Paraview with ./makeParaView -mpi -qmake $HOME/OpenFOAM/ThirdParty/qt-x11-opensource-src-4.3.5/bin/qmake
  9. Compile PV3FoamReader as usual
  10. In a no english system you need to add the following to the paraFoam script: export LC_ALL=C
As you can see they are several steps, that's the reason why I wanted to post them here. I hope I can help somebody.

Regards

Pablo
pcaron is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
install openfoam 1.6 on opensuse 11.0 andresbh OpenFOAM Installation 8 September 30, 2009 00:48


All times are GMT -4. The time now is 03:45.